/**+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

This file is part of FORCE - Framework for Operational Radiometric 
Correction for Environmental monitoring.

Copyright (C) 2013-2018 David Frantz

FORCE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FORCE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FORCE.  If not, see <http://www.gnu.org/licenses/>.

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++**/

/**+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
This program is for testing small things. Needs to be compiled on demand
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++**/


#include "force.h"


int main ( int argc, char *argv[] ){

  par.f_par = argv[1];
  
  // parse parameter file
  if (parse_param_l2() != SUCCESS){
    printf("Parsing parameter file failed.\n"); exit(1);}
    
  // get origin of arbitrary grid in target css coordinates
  if ((geo_to_map(par.origin_geo.x,  par.origin_geo.y, 
          &par.origin_map.x, &par.origin_map.y, 
           par.css_dst)) == FAILURE){
    printf("Computing tile origin in dst_srs failed. "); return FAILURE;}


  return SUCCESS; 
}
