/**+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

This file is part of FORCE - Framework for Operational Radiometric 
Correction for Environmental monitoring.

Copyright (C) 2013-2018 David Frantz

FORCE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

FORCE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with FORCE.  If not, see <http://www.gnu.org/licenses/>.

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++**/

/**+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
This file contains global variables available within FORCE
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++**/


#include "force.h"


par_t par;
meta_t meta;
atc_t atc;
dir_t dir;

int _NX_ = 0, _NY_ = 0, _NC_ = 0;
int _NB_ = 0, _NO_ = 0, _ND_ = 0;
int _NP_ = 0;
bands_t _B_;

const double _R2D_CONV_ = 180.0/M_PI;
const double _D2R_CONV_ = M_PI/180.0;
const double _M_PI2_ = 2.0*M_PI;

const float _RS_ = 10000.0;
const float _TS_ = 100.0;

const int2s _NODATA_ = -9999;
const int   _QAIOFF_ = 1;
const int2s _TSAOFF_ = -32767;

struct tm *timeinfo;

